Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.comm.eia709
Interface Eia709Controllet

    public interface Eia709Controllet

A controllet is a network application that performs monitoring and controlling of devices connected to a fieldbus. An Eia709Controllet in EIA-709 teminology is a "program".

The controllet must be attached to a node to perform any meaningful task.

TODO: example

See Also:
  `Eia709Node`

Method Summary
`void` | `bind()` Adds static binding information, like network variable selectors and static addresses.
`void` | `configure(Eia709Node node)` The required network variables should be instanciated here.
`byte[]` | `getProgramName()` Returns the EIA-709 program name.
`void` | `start()` Starts the controllet.
`void` | `stop()` Stops the controllet.

Method Detail

### getProgramName

    byte[] getProgramName()

  Returns the EIA-709 program name.

  Returns:
    program name of 8 bytes

### configure

    void configure(Eia709Node node)

  The required network variables should be instanciated here. Listeners can be attached to allow for event handling. This method is called when a controllet is attached to a node.

  Parameters:
    `node` - the node this controllet will run on

### bind

    void bind()

  Adds static binding information, like network variable selectors and static addresses. This method is called directly before starting the controllet. The controllet must take care that binding information is only supplied once.

### start

    void start()

  Starts the controllet. A typical implementation would start a separate thread to handle all program functionality. This method may not block.

### stop

    void stop()

  Stops the controllet. Separate threads used by the controllet should be stopped.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD